# Class MinBond

java.lang.Object
org.jmol.minimize.MinObject
org.jmol.minimize.MinBond

public class MinBond extends MinObject

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`index`
`boolean`
`isAmide`
`boolean`
`isAromatic`
`int`
`order`
`int`
`rawIndex`

### Fields inherited from class MinObject

`data, ddata, key, type`

## Method Summary

Modifier and Type
Method
Description
`int`
`getOtherAtom(int index)`

### Methods inherited from class MinObject

`decodeKey, getKey, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### rawIndex

public int rawIndex

### index

public int index

### order

public int order

### isAromatic

public boolean isAromatic

### isAmide

public boolean isAmide

## Method Details

### getOtherAtom

public int getOtherAtom(int index)